Subject: Re: bug#6674: PATCH: fix assignment of grep-find-use-xargs on Windows/MS-DOS

From: Óscar Fuentes <[email-masked]>
Date: Wed, 21 Jul 2010 03:22:06 +0200

Christoph <[email-masked]> writes:

> On 7/20/2010 4:18 PM, Eli Zaretskii wrote:
>
>> A better (and easier implemented) idea would be to create a temporary
>> batch file with the command line and run the batch file with cmd.exe.
>> The original command works just fine if invoked from a batch file.
>
> Out of curiosity, why is a batch file solution better than enhancing
> cmdproxy?

Because it is 2 orders of magnitude more simple?

Enhancing cmdproxy for correctly parsing | (and `&&', if you are on the
mood of doing the full job) then creating the pipes, the processes, deal
with error conditions and support Win9X is everything but simple.

Two or three more additions of this class, and Microsoft will replace
cmd.exe with cmdproxy.exe ;-)